Page MenuHomePhabricator

CI slaves should have HHVM call the exception user handler so we have useful stack trace on fatal errors
Closed, ResolvedPublic

Description

@Tgr pointed out the CI nodes lack hhvm.error_handling.call_user_handler_on_fatals so fatals ends up without any useful stacktrace.

We should set that variable in CI hhvm configuration. That is done in operations/puppet via modules/contint/manifests/hhvm.pp.

Event Timeline

hashar created this task.Feb 10 2016, 5:08 PM
hashar raised the priority of this task from to Needs Triage.
hashar updated the task description. (Show Details)
hashar added subscribers: hashar, Tgr.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 10 2016, 5:08 PM
hashar triaged this task as Medium priority.Sep 26 2016, 11:13 AM
hashar moved this task from Untriaged to Backlog on the Continuous-Integration-Infrastructure board.
hashar added a project: HHVM.
hashar set Security to None.
Krinkle closed this task as Resolved.Oct 3 2019, 3:34 AM
Krinkle claimed this task.
Krinkle added a subscriber: Krinkle.

This was fixed for both PHP and HHVM but forgot to close the task. But would be otherwise still be obsolete, per T234384 and T192166.